Mandrake Linux Security Advisory : ImageMagick (MDKSA-2005:107)

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

A heap-based buffer overflow was found in the way that ImageMagick
parses PNM files. If an attacker can trick a victim into opening a
specially crafted PNM file, the attacker could execute arbitrary code
on the victim's machine (CVE-2005-1275).

As well, a Denial of Service vulnerability was found in the way that
ImageMagick parses XWD files. If a user or program executed
ImageMagick to process a malicious XWD file, ImageMagick will enter
info an infinite loop causing a DoS (CVE-2005-1739).

The updated packages have been patched to fix these issues.

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 18584 (mandrake_MDKSA-2005-107.nasl)

Bugtraq ID:

CVE ID: CVE-2005-1275
CVE-2005-1739

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now